{% extends 'index.html' %}
{% load static %}
{% load customhumanize %}

{% block page %}
    <div  id="auto-db" class="section section_default">
        <div class="section__content">
            <div class="section__header">
                <h1 class="section__title">{{ auto_edit_title|default:html_title }}</h1>
            </div>
            <div class="section__body">
                <span>

                  <form id="form" action="" method="post" onsubmit="ShowLoading()">
                    {% csrf_token %}
                <div class="fieldset__item fieldset__item_interior-color">
                        <label for="mark_auto" class="label label_default label_s">Марка автомобиля </label>
                        <div class="control control_default control_m">
                            <select data-attr="{{form.mark_auto.value}}" class="mark_auto" name="mark_auto" id="select2-id_mark_auto-container" required="required" v-model="choiseMode" v-select="choiseMode" >
                                <option   v-for="item in allCars" :value="item.id">${item.name}</option>
                            </select>
                        </div>
                </div>
                <div class="fieldset__item fieldset__item_interior-color">
                        <label for="model_auto" class="label label_default label_s">Модель автомобиля</label>
                        <div class="control control_default control_m">
                            <select data-attr="{{form.model_auto.value}}" name="model_auto" class="model_auto" required="required" v-model="choiseGeneration" v-select="choiseGeneration">
                                <option v-for="item in models" :value="item.id">${item.name}</option>
                            </select>
                        </div>
                </div>

                <div class="fieldset__item fieldset__item_interior-color">
                        <label for="generation" class="label label_default label_s">Поколение автомобиля</label>
                        <div class="control control_default control_m">
                            <select name="generation" >
                                <option v-for="item in generation" :value="item.id">${item.name}</option>
                            </select>
                        </div>
                </div>

                <div class="fieldset__item fieldset__item_interior-color">
                        <label class="label label_default label_s">Категория автомобиля</label>
                        <div class="control control_default control_m">
                          {{ form.category }}
                        </div>
                </div>

                <div class="fieldset__item fieldset__item_interior-color">
                        <label class="label label_default label_s">Название статьи</label>
                        <div class="control control_default control_m">
                          {{ form.title }}
                        </div>
                </div>
                <div class="fieldset__item fieldset__item_interior-color">
                        <label class="label label_default label_s">Текст статьи</label>
                        <div class="control control_default control_m">
                          {{ form.text }}
                        </div>
                </div><div class="fieldset__item fieldset__item_interior-color">
                        <label class="label label_default label_s">Краткое описание</label>
                        <div class="control control_default control_m">
                          {{ form.description }}
                        </div>
                </div>
                      <br>
                 <div class="form__item form-group form-group_default">
                      <button type="submit" class="save btn btn_m btn_primary">Сохранить статью</button>
                 </div>

                  </form>
                </span>
            </div>
        </div>
    </div>


  {% include 'progress-bar.html' %}
{% endblock %}


{% block script %}
<script>
    function ShowLoading(){
        $('#loader-wrapper').show();
    }
    $('#loader-wrapper').show();
    $('.section__body').hide();
</script>
<script src="{% static 'js/autodb.bundle.js' %}"></script>
  <script>

    $(document).ready(function() {
      $('select').select2({});
      {#$( "#id_title" ).val('');#}
      {#$( "#id_text" ).val('');#}
    });
   </script>
{% endblock %}